States
Retrieve current state
Returns NOT_FOUND if the state record does not exist.
Scope: state:read
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer adm_pat_...
In: header
Path Parameters
state_id*state_id
The unique identifier of the state record (UUID).
Format
uuidResponse Body
application/json
curl -X GET "https://admiral.example.com/api/v1/states/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "state": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b", "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4", "serial": 0, "data": "string", "md5": "string", "lineage": "string", "lock": { "lock_id": "c7590aa3-358c-4ba6-a3b5-87d5f487fd16", "operation": "string", "who": "string", "version": "string", "acquired_at": "2023-01-15T01:30:15.01Z" }, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z" }}Force unlock a state POST
Returns NOT_FOUND if the state record does not exist. Returns FAILED_PRECONDITION if the state has no active lock. This action is logged in the audit trail. Scope: `state:admin`
Retrieve a state version GET
Returns NOT_FOUND if the state record does not exist or if no version with the specified serial exists for that state record. Scope: `state:read`